org.apache.poi.ddf

## Enum EscherRecordTypes

- java.lang.Object
- - java.lang.Enum<EscherRecordTypes>
  - - org.apache.poi.ddf.EscherRecordTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EscherRecordTypes>

      public enum EscherRecordTypes
      extends java.lang.Enum<EscherRecordTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGN_RULE`
    `ANCHOR`
    `ARC_RULE`
    `BLIP_DIB`
    `BLIP_EMF`
    `BLIP_END`
    `BLIP_JPEG`
    `BLIP_PICT`
    `BLIP_PNG`
    `BLIP_START`
    `BLIP_WMF`
    `BSE`
    `BSTORE_CONTAINER`
    `CALLOUT_RULE`
    `CHILD_ANCHOR`
    `CLIENT_ANCHOR`
    `CLIENT_DATA`
    `CLIENT_RULE`
    `CLIENT_TEXTBOX`
    `CLSID`
    `COLOR_MRU`
    `COLOR_SCHEME`
    `CONNECTOR_RULE`
    `DELETED_PSPL`
    `DG`
    `DG_CONTAINER`
    `DGG`
    `DGG_CONTAINER`
    `OLE_OBJECT`
    `OPT`
    `REGROUP_ITEMS`
    `SELECTION`
    `SOLVER_CONTAINER`
    `SP`
    `SP_CONTAINER`
    `SPGR`
    `SPGR_CONTAINER`
    `SPLIT_MENU_COLORS`
    `TEXTBOX`
    `UNKNOWN`
    `USER_DEFINED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends EscherRecord>` | `constructor`
    `java.lang.String` | `description`
    `java.lang.String` | `recordName`
    `short` | `typeID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EscherRecordTypes` | `forTypeID(int typeID)`
    `static EscherRecordTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EscherRecordTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DGG_CONTAINER

          public static final EscherRecordTypes DGG_CONTAINER

    - #### BSTORE_CONTAINER

          public static final EscherRecordTypes BSTORE_CONTAINER

    - #### DG_CONTAINER

          public static final EscherRecordTypes DG_CONTAINER

    - #### SPGR_CONTAINER

          public static final EscherRecordTypes SPGR_CONTAINER

    - #### SP_CONTAINER

          public static final EscherRecordTypes SP_CONTAINER

    - #### SOLVER_CONTAINER

          public static final EscherRecordTypes SOLVER_CONTAINER

    - #### DGG

          public static final EscherRecordTypes DGG

    - #### BSE

          public static final EscherRecordTypes BSE

    - #### DG

          public static final EscherRecordTypes DG

    - #### SPGR

          public static final EscherRecordTypes SPGR

    - #### SP

          public static final EscherRecordTypes SP

    - #### OPT

          public static final EscherRecordTypes OPT

    - #### TEXTBOX

          public static final EscherRecordTypes TEXTBOX

    - #### CLIENT_TEXTBOX

          public static final EscherRecordTypes CLIENT_TEXTBOX

    - #### ANCHOR

          public static final EscherRecordTypes ANCHOR

    - #### CHILD_ANCHOR

          public static final EscherRecordTypes CHILD_ANCHOR

    - #### CLIENT_ANCHOR

          public static final EscherRecordTypes CLIENT_ANCHOR

    - #### CLIENT_DATA

          public static final EscherRecordTypes CLIENT_DATA

    - #### CONNECTOR_RULE

          public static final EscherRecordTypes CONNECTOR_RULE

    - #### ALIGN_RULE

          public static final EscherRecordTypes ALIGN_RULE

    - #### ARC_RULE

          public static final EscherRecordTypes ARC_RULE

    - #### CLIENT_RULE

          public static final EscherRecordTypes CLIENT_RULE

    - #### CLSID

          public static final EscherRecordTypes CLSID

    - #### CALLOUT_RULE

          public static final EscherRecordTypes CALLOUT_RULE

    - #### BLIP_START

          public static final EscherRecordTypes BLIP_START

    - #### BLIP_EMF

          public static final EscherRecordTypes BLIP_EMF

    - #### BLIP_WMF

          public static final EscherRecordTypes BLIP_WMF

    - #### BLIP_PICT

          public static final EscherRecordTypes BLIP_PICT

    - #### BLIP_JPEG

          public static final EscherRecordTypes BLIP_JPEG

    - #### BLIP_PNG

          public static final EscherRecordTypes BLIP_PNG

    - #### BLIP_DIB

          public static final EscherRecordTypes BLIP_DIB

    - #### BLIP_END

          public static final EscherRecordTypes BLIP_END

    - #### REGROUP_ITEMS

          public static final EscherRecordTypes REGROUP_ITEMS

    - #### SELECTION

          public static final EscherRecordTypes SELECTION

    - #### COLOR_MRU

          public static final EscherRecordTypes COLOR_MRU

    - #### DELETED_PSPL

          public static final EscherRecordTypes DELETED_PSPL

    - #### SPLIT_MENU_COLORS

          public static final EscherRecordTypes SPLIT_MENU_COLORS

    - #### OLE_OBJECT

          public static final EscherRecordTypes OLE_OBJECT

    - #### COLOR_SCHEME

          public static final EscherRecordTypes COLOR_SCHEME

    - #### USER_DEFINED

          public static final EscherRecordTypes USER_DEFINED

    - #### UNKNOWN

          public static final EscherRecordTypes UNKNOWN

  - ### Field Detail

    - #### typeID

          public final short typeID

    - #### recordName

          public final java.lang.String recordName

    - #### description

          public final java.lang.String description

    - #### constructor

          public final java.util.function.Supplier<? extends EscherRecord> constructor

  - ### Method Detail

    - #### values

          public static EscherRecordTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EscherRecordTypes c : EscherRecordTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EscherRecordTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forTypeID

          public static EscherRecordTypes forTypeID(int typeID)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.